Bug 2843 - Doesn't detect termination of the debugged process, becomes stuck
: Doesn't detect termination of the debugged process, becomes stuck
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/gdb)
: unstable
: all Linux
: P5 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-08-16 12:51 by
Modified: 2005-07-13 15:45 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-08-16 12:51:52
When debugging jabberd, a daemon that setuids to user jabber, a peculiar
situation was created. I stop the debugged jabberd with its init script. gdb
detects SIGTERM, then SIGPIPE to the jabberd process. Then, when I try to quit,
the following dialog occurs:

(gdb) quit
The program is running.  Quit anyway (and detach it)? (y or n) y
Detaching from program: /usr/sbin/jabberd, process 26851
ptrace: No such process.

Only killing gdb would help after this.

---

---
------- Comment #1 From 2004-04-06 17:32:11 -------
Should be fixed in new gdb, please reopen if not.